#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME: iptables
# DESCRIPTION: Linux firewall, NAT and packet mangling tools
# WWW: http://www.iptables.org/

service system/iptables {
	need = system/initial system/mountfs/essential system/hostname virtual/net/lo;
	provide = virtual/firewall;
	env STATEFILE=/etc/sysconfig/iptables;
	script start = {
		exec /sbin/iptables-restore -c <${STATEFILE}
	};
	script stop = {
		# exec /sbin/iptables-save -c >${STATEFILE}
	};
}
