#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME: 
# DESCRIPTION: 
# WWW: 

service system/laptop-mode {
	need = system/bootmisc;
	script start = {
		/bin/touch /var/run/laptop-mode-enabled

		# Run it with "force" so that syslog.conf and hdparm settings
		# are set correctly at system bootup.
		if [ -x /usr/sbin/laptop_mode ]
		then
			/usr/sbin/laptop_mode auto force >/dev/null
		else
			echo "/usr/sbin/laptop_mode not found!"
			exit 1
		fi
		exit 0
	};
	
	script stop = {
		/bin/rm -f /var/run/laptop-mode-enabled
		/usr/sbin/laptop_mode stop >/dev/null
	};

}
