#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME: PostgreSQL
# DESCRIPTION: Relational datavase
# WWW: http://www.postgresql.org/

daemon daemon/postgres {
        need = system/bootmisc;
        use = daemon/postgres/initdb;

        env PGDATA=/var/lib/postgresql/data;
        env PGUSER=postgres;
        env PGGROUP=postgres;
        env PGLOG=${PGDATA}/postgresql.log;
        env PGOPTS=-p5432;

        suid = ${PGUSER};
        sgid = ${PGGROUP};
        pid_file = ${PGDATA}/postmaster.pid;
        script daemon = {
                /usr/bin/pg_ctl -p/usr/bin/postmaster -D"${PGDATA}" -s -l"${PGLOG}" -o"${PGOPTS}" start
};
        exec kill = /usr/bin/pg_ctl -D${PGDATA} -s -m fast stop;
        forks;
}
