#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME: WWWOFFLE
# DESCRIPTION: Simple proxy with some nice features, very useful for dial-up
#              internet links.
# WWW: http://www.gedanken.demon.co.uk/wwwoffle/

daemon daemon/wwwoffle {
	need = system/bootmisc;
	stdall = /var/log/wwwoffle.log;
	respawn;
	env CONFIG=/etc/wwwoffle/wwwoffle.conf;

	exec daemon = /usr/sbin/wwwoffled -c ${CONFIG} -d;
}

service daemon/wwwoffle/online {
	need = daemon/wwwoffle virtual/net;
	env CONFIG=/etc/wwwoffle/wwwoffle.conf;

	exec start = /usr/sbin/wwwoffle -online -c ${CONFIG};
	exec stop = /usr/sbin/wwwoffle -offline -c ${CONFIG};
}
