#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME:
# DESCRIPTION:
# WWW:

service system/numlock {
	need = system/initial system/mountfs/essential;
	script start = {
		if [ -d /dev/vc ]
		then
			dev=/dev/vc/
		else
			dev=/dev/tty
		fi
		for tty in `/usr/bin/seq 1 12`
		do
			/usr/sbin/setleds -D +num <${dev}${tty} >/dev/null 2>&1
		done
	};
	script stop = {
		if [ -d /dev/vc ]
		then
			dev=/dev/vc/
		else
			dev=/dev/tty
		fi
		for tty in `/usr/bin/seq 1 12`
		do
			/usr/sbin/setleds -D -num <${dev}${tty} >/dev/null 2>&1
		done
	};
}
